The tag has no wiki summary.

learn more… | top users | synonyms

2
votes
1answer
40 views

Auto-upgrading similar VM guest OSes

Is it possible to handle automatic upgrades of VM guests which differ only in terms of config management? I'm asking about either general or specific technologies which facilitate this. In brief, I ...
0
votes
1answer
774 views

dist-upgrade from Debian 7 (wheezy) to 8 (jessie) results in 'Failed to execute operation' errors

After upgrading Debian 7 (wheezy) to 8 (jessie), any system critical action results in one of the following messages appearing: Failed to execute operation: Activation of org.freedesktop.systemd1 ...
1
vote
1answer
846 views

Running dist-upgrade fails on installation of 'startpar'

I'm trying to run dist-upgrade on Debian 6 but it fails on installation of startpar with: dpkg: considering deconfiguration of sysvinit-utils, which would be broken by installation of startpar ... ...
0
votes
1answer
228 views

MariaDB 5.5 and Ubuntu 13.10 -> 14.04 upgrade

I have installed MariaDB (5.5.37+maria-1~saucy) on Ubuntu Server 13.10. Then I have upgraded Ubuntu to 14.04 LTS. Upgrade process has disabled repository for MariaDB 5.5. Current part of sources.list ...
0
votes
2answers
109 views

Debian squeezy dist-upgrade to wheeze (nothing up to date)

I operate 3 debian server (all server is Xen guest) with squeezy installed. Dist upgrade is needed because the old packages, 2 server is successfully upgraded but the last cannot be. In all server i ...
0
votes
0answers
34 views

Is it safe to upgrade a current mysql CentOS 6.0 server to CentOS 6.5?

This server has specific configuration of php, it is also acting as a node in a DRBD cluster which holds a critical MYSQL database. I wanted to know if this procedure is safe and if there are any ...
1
vote
1answer
126 views

Upgrading an old Ubuntu Server 11.04 deployment

I've been tasked to upgrade an Ubuntu Server 11.04 box to one of the later versions due to support for the Natty end of life being reached last year. I've no idea how they got by for almost 12 months ...
1
vote
2answers
2k views

dpkg: error processing linux-image-amd64

After running apt-get update apt-get upgrade apt-get dist-upgrade apt-get install -f dpkg --configure -a I get the following Error: dpkg --configure -a Setting up initramfs-tools (0.112) ...
0
votes
1answer
53 views

ESXI upgrade remotley

I'm planning to upgrade one of our esxi host and I would like to do this remotely because of distance problems. Is it possible to do this? The host is an ESXi4 what I would like to upgrade to Esxi5.
2
votes
1answer
60 views

Detect Debian dist-upgrade versus clean build

I am looking at a Debian server that has version wheezy/sid. Is there a way I can tell if this server was upgraded from squeeze via dist-upgrade versus being built from scratch as a wheezy server?
1
vote
1answer
149 views

Do I need to update some of my Debian Squeeze software?

I have installed Debian 6, and LAMP stack from squeeze repository (default). After upgrading Apache 2.2.16 from unstable repository to 2.2.22, thanks to this post - how to upgrade already installed ...
0
votes
1answer
997 views

kernel + libc6 issue upgrading to squeeze

I used to run Debian testing, and I haven't upgraded or dist-upgraded for about 2 years. Yesterday I made the mistake of trying that... it didn't work (I don't remember the exact error messages), so I ...
1
vote
3answers
460 views

How to remotely upgrade a debian system?

I am running debian on a couple of servers that I control and would like to upgrade them remotely. I do not have access to the keyboard directly, as they are VPS machines in a different location. I ...
0
votes
2answers
289 views

Where to store big data (best practices)

I am installing a fresh Ubuntu on our lab server. We have lots of massive genomes which need to be accessed by Apache www-data user. Currently I backed all the data up on external drives. My goal is ...
0
votes
1answer
628 views

Why does EC2 instance have problems upgrading my Ubuntu server to 12.04?

I just tried upgrading our Ubuntu EC2 server to 12.04 from 11.10, and it halts on several package upgrades, starting with memtest86+. CTRL+C is the only way out, and in the end there is the following ...
2
votes
2answers
159 views

Upgrade a legacy, expired RHEL 3.4.6 server to modern CentOS/Scientific Linux

I have a machine running a legacy J2EE app. The code is not Maven-ized and it works with pretty old Java and Postgres versions. I have converted it to a VM in ESXI and I'd like to try to upgrade it to ...
1
vote
1answer
95 views

Difference between package updates and release upgrades on Debian

I've been trying to decide on a new OS for my production machine, and I was wondering what the difference is between straight up upgrading packages and upgrading to a new release. If I install Debian ...
0
votes
1answer
152 views

best practice for debian distribution upgrade - what happens with the rest of the LAMP?

I am planning of upgrading the LAMP stack that I have. Debian Lenny 5.09 - current version is 6.0 Apache 2.2.9 - current 2.2.21 MySQL 5.0.51a - current 5.5.20 PHP 5.2.6 - current PHP 5.3.9 I am ...
5
votes
2answers
4k views

Apache not starting after upgrade to OpenSuse 12.1

Few days back, I upgraded to openSuse 12.1 from openSuse 11.04 vai online upgrade. Now if try to start apache server as - sudo /etc/init.d/apache2 start it gives error as - redirecting to ...
1
vote
1answer
537 views

Ubuntu upgrade multiple versions at once

I need an Ubuntu 11.10 server, but for reasons beyond my understanding, our host only preinstalls Ubuntu 10.04 LTS. So I decided to get a 10.04 server and use Ubuntu's do-release-upgrade to get to ...
8
votes
1answer
2k views

What's the difference between apt-get dist-upgrade and do-release-upgrade?

Will apt-get dist-upgrade do the exact same thing as running do-release-upgrade? I'm currently running Ubuntu Server 11.04.
0
votes
1answer
524 views

How to create backups when upgrading Debian?

I want to upgrade my Debian lenny to squeeze but as I'm doing it for the first time I was thinking how to create the backup mentioned in the release notes: The main things you'll want to back up ...
5
votes
5answers
677 views

apt-get dist-upgrade on a production machine

I have a couple of blogs running on an Ubuntu 9.04 machine and I'd like to upgrade it. Is it safe to do so? Note, I also have a few daemons that were manually compiled like MySQL, Nginx, PHP, etc.
2
votes
3answers
2k views

Reconnect ssh session when disconnected without screen

I initiated 'do-release-upgrade' over ssh, and then my (client) network connection died. How can I reconnect to the session which is performing this command?
1
vote
2answers
748 views

Can't install PHP after apt-get dist-upgrade

I had a server with perfectly running for months classical LAMP installation on Ubuntu 8.04: Linux localhost 2.6.24-23-generic #1 SMP Wed Apr 1 21:47:28 UTC 2009 i686 GNU/Linux DISTRIB_ID=Ubuntu ...
5
votes
3answers
2k views

Whats the best way to update Ubuntu 9.04?

I have a Ubuntu 9.04 server which has no packase support anymore. If I want to update my package lists, I get th following errors: Err http://de.archive.ubuntu.com jaunty-security/multiverse ...
2
votes
2answers
1k views

Can I dist-upgrade without breaking LAMP?

I have a Debian 5 VPS which runs a LAMP stack and Redmine (Ruby) and DokuWiki for myself and some clients to use for organisational purposes. A apt-get upgrade request says that a lot of packages ...
2
votes
2answers
556 views

How to run Postgresql 8.2 on Debian lenny?

We are running a legacy application which requires PostgreSQL 8.2 on Debian Etch. Since Debian dropped support for etch, we're seriously considering to upgrade to Debian Lenny. However, we are stuck ...
2
votes
2answers
2k views

dist-upgrade to squeeze wants to remove apt

why does dist-upgrade to squeeze want to remove apt and how can I fix it? $ sudo apt-get dist-upgrade Reading package lists... Done Building dependency tree Reading state information... Done ...
3
votes
1answer
216 views

debian: upgrade from etch to lenny fails

The error message is: error processing /var/cache/apt/archives/debianutils_2.30_i386.deb (--unpack): trying to overwrite `/usr/sbin/add-shell', which is also in package passwd How can I solve ...
0
votes
1answer
87 views

Finding documentation for /etc/**/*.dpkg-*

During upgrades, files with these extensions appear in /etc and its subdirectories. I gather that *.dpkg-dist contains the file that was distributed with the currently-installed version of a package, ...
3
votes
1answer
651 views

What exactly is the difference between update-manager -d and normal apt-get?

The official recommendation of Ubuntu is to use sudo do-release-upgrade to do an online upgrade from one version to the next. Historically many of my Debianite friends and myself have simply altered ...
0
votes
2answers
909 views

Upgrading Slackware 12.2 to 13.0, any gotchas?

I'm gradually upgrading a Slackware 12.0 to a 13.0. Using slapt-get I've done it gradually, just in case. So I've done 12.0 -> 12.1, 12.1 -> 12.2. I've sorted out that I need to manually upgrade ...
0
votes
2answers
1k views

Problem when upgrading Debian from stable (lenny) to testing (squeeze)

I just got a VPS for private use, and wanted to upgrade it to Debian testing (squeeze) in order to have newer packages. The actual version was Debian stable (lenny). What I did is simply : edit ...
3
votes
6answers
302 views

I have an Ubuntu Gutsy installation running on a server, how can I upgrade it to Karmic?

How can I upgrade a really old Gutsy server to Karmic from the command line?
1
vote
2answers
278 views

debian 3.1 to 5

I am about to buy a VPS server but they preinstall debian 3.1 and it seem abit ancient version thus I need to upgrade to 5 version (lenny), is it easy to upgrade 3.1 to 5 via ssh ? If so what would be ...
2
votes
2answers
282 views

debian 3.1 can be upgraded to lenny?

yesterday I "inherited" an ancient debian 3.1 machine to which I am supposed to add a few functionalities (mail, among them) is there a safe way to upgrade it to a superior version ? if not, is there ...
1
vote
2answers
586 views

Repository bugzilla package changed to bugzilla3 in Lenny; upgradable?

This question was asked in debianhelp.org almost half a year ago, but never got an answer. I wasn't the one who posted it, however I was today facing exactly the same question. Not sure if copying it ...
23
votes
2answers
11k views

Can someone clarify Ubuntu (Debian) dist-upgrade for me?

I've got an Ubuntu 8.04 LTS server. There are several packages which are "kept back" ("the following updates have been kept back:") when I do an apt-get upgrade. It's my understanding that I can do ...
3
votes
5answers
938 views

How can I upgrade my Slicehost VPS Ubuntu 7.10 slice to 8.10?

I have an Ubuntu 7.10 slice on Slicehost running my main web server. I want to update to Ubuntu 8.10 because the repositories are gone for 7.10 and I want the latest security and application ...
12
votes
5answers
12k views

Recover from shutdown during Ubuntu distribution upgrade

I have a computer which was unexpectedly shut down during a distribution upgrade (Ubuntu 8.10 -> 9.04). It now won't finish booting - various X errors, then it goes to the login screen but won't ...